Skip to content
GET/{organizationId}/donation/settings

Get donation settings

Returns the donation settings of a given organization

Required permissions:

  • donationsSettings.read

Path Parameters

organizationIdstringrequired

Query Parameters

modifiedBeforedate-timeoptional
modifiedAfterdate-timeoptional

Authentication: X-API-Key

Request

GET/{organizationId}/donation/settings
curl --request GET 'https://cloud.campai.com/api/{organizationId}/donation/settings' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

membershipFeesbooleanrequired

Additional properties are not allowed.

Additional properties are not allowed.

Response

200
{
  "membershipFees": true,
  "countrySettings": {
    "de": {
      "signature": "string",
      "purpose": "string",
      "onlineGeneratedMessage": "string",
      "requireAddressAboveAmount": 0,
      "exemptionNotice": {
        "from": "string",
        "assessmentPeriod": "string"
      },
      "determinationNotice": {
        "from": "string"
      }
    },
    "lu": {
      "signature": "string",
      "purpose": "string",
      "onlineGeneratedMessage": "string",
      "requireAddressAboveAmount": 0,
      "exemptionNotice": {
        "from": "string",
        "assessmentPeriod": "string"
      },
      "determinationNotice": {
        "from": "string"
      }
    },
    "ch": {
      "signature": "string",
      "purpose": "string",
      "onlineGeneratedMessage": "string",
      "requireAddressAboveAmount": 0,
      "exemptionNotice": {
        "from": "string",
        "assessmentPeriod": "string"
      },
      "determinationNotice": {
        "from": "string"
      }
    }
  },
  "confirmation": {
    "enabled": true,
    "send": true,
    "useDocumentOnlyForLetters": true,
    "documentContent": "string",
    "subject": "string",
    "message": "string"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}